#include "L293D.h"

L293D::L293D(int enable1, int input1, int input2, int enable2, int input3, int input4) : 
	enable1(enable1),
	input1(input1),
	input2(input2),
	enable2(enable2),	
	input3(input3),
	input4(input4)
	{
		pinMode(enable1, OUTPUT);
		pinMode(input1, OUTPUT);
		pinMode(input2, OUTPUT);
		pinMode(enable2, OUTPUT);
		pinMode(input3, OUTPUT);
		pinMode(input4, OUTPUT);
	}
	
L293D::~L293D(){ }

void L293D::forward(int pwm_motor1, int pwm_motor2) {
	analogWrite(enable1, pwm_motor1);
	analogWrite(enable2, pwm_motor2);
	
	digitalWrite(input1, LOW);
	digitalWrite(input2, HIGH);
	digitalWrite(input3, LOW);
	digitalWrite(input4, HIGH);
}

void L293D::back(int pwm_motor1, int pwm_motor2) {
	analogWrite(enable1, pwm_motor1);
	analogWrite(enable2, pwm_motor2);
	
	digitalWrite(input1, HIGH);
	digitalWrite(input2, LOW);
	digitalWrite(input3, HIGH);
	digitalWrite(input4, LOW);
}

void L293D::right(int pwm_motor1) {
	analogWrite(enable1, pwm_motor1);
	
	digitalWrite(input1, LOW);
	digitalWrite(input2, HIGH);
	digitalWrite(input3, LOW);
	digitalWrite(input4, LOW);
}

void L293D::left(int pwm_motor2) {
	analogWrite(enable2, pwm_motor2);
	
	digitalWrite(input1, LOW);
	digitalWrite(input2, LOW);
	digitalWrite(input3, LOW);
	digitalWrite(input4, HIGH);
}

void L293D::stop() {
	analogWrite(enable1, 0);
	analogWrite(enable2, 0);
}
